TEMPLATE = aux
TARGET = flashback

RESOURCES += flashback.qrc

QML_FILES += $$files(*.qml,true) \
             $$files(*.js,true)

CONF_FILES +=  flashback.apparmor \
               flashback.png

OTHER_FILES += $${CONF_FILES} \
               $${QML_FILES} \
               flashback.desktop

#specify where the qml/js files are installed to
qml_files.path = /flashback
qml_files.files += *.qml

#specify where the components files are installed to
component_files.path = /flashback/components
component_files.files += components/*.qml

#specify where the ui files are installed to
ui_files.path = /flashback/ui
ui_files.files += ui/*.qml

#specify where the backend files are installed to
backend_files.path = /flashback/backend
backend_files.files += backend/*.js

#specify where the graphic files are installed to
graphic_files.path = /flashback/graphics
graphic_files.files += backend/*.png

#specify where the config files are installed to
config_files.path = /flashback
config_files.files += $${CONF_FILES}

#install the desktop file, a translated version is 
#automatically created in the build directory
desktop_file.path = /flashback
desktop_file.files = $$OUT_PWD/flashback.desktop
desktop_file.CONFIG += no_check_exist

INSTALLS+=config_files qml_files ui_files component_files backend_files desktop_file graphic_files

DISTFILES += \
    components/FlashbackHeader.qml \
    components/FlashbackHeaderButton.qml \
    components/FlashbackPageSection.qml \
    ui/TraktLogin.qml \
    ui/OAuth.qml

