/*
 * Copyright 2016 Nekhelesh Ramananthan <nik90@ubuntu.com>
 *
 * This file is part of Flashback.
 *
 * Podbird is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * Podbird is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4
import Ubuntu.Components 1.3

import "../components"

Page {
    id: settingsPage

    header: FlashbackHeader {
        title: i18n.tr("Settings")
    }

    Column {
        id: mainColumn

        anchors { top: settingsPage.header.bottom; left: parent.left; right: parent.right; bottom: parent.bottom }

        ListItem {
            height: versionLayout.height + divider.height
            ListItemLayout {
                id: accountLayout
                title.text: i18n.tr("Trakt")
                subtitle.text: "Configure Trakt account"
                ProgressionSlot {}
            }
            onClicked: apl.addPageToNextColumn(settingsPage, Qt.resolvedUrl("TraktLogin.qml"))
        }

        ListItem {
            height: versionLayout.height + divider.height
            ListItemLayout {
                id: versionLayout
                title.text: i18n.tr("Flashback Version")
                subtitle.text: "0.5"
            }
        }
    }
}
